# Profanity Blocker Plugin

A Mattermost plugin that automatically detects and blocks messages containing profanity.

## Features
- Real-time message filtering
- Configurable API key and service URL
- Private feedback to users when messages are blocked
- Server-side processing for security

## Prerequisites
- A valid license and API key from [client.profanityblocker.co.uk](https://client.profanityblocker.co.uk)
- Access to an on-premise deployment of the profanity filtering API
  - Note: This plugin requires a self-hosted instance of the profanity filtering service
  - Contact your system administrator for deployment options

## Installation
There are two ways to install the plugin:

### Option 1: Marketplace Installation
1. Open System Console > Plugin Marketplace
2. Search for "Profanity Blocker"
3. Click "Install"
4. Enable the plugin

### Option 2: Manual Upload
1. Download the plugin file
2. Ensure plugin uploads are enabled in your Mattermost instance
   - System Console > Plugin Management > Enable Plugin Uploads: true
3. Go to System Console > Plugin Management
4. Click "Upload Plugin"
5. Select the downloaded plugin file
6. Enable the plugin after upload

## Configuration
1. Sign up at [client.profanityblocker.co.uk](https://client.profanityblocker.co.uk) to obtain:
   - License key for your organization
2. Go to System Console > Plugins > Profanity Blocker
3. Configure:
   - API Key: The API key obtained from your profanityblocker.co.uk account
   - Base URL: Your self-hosted service endpoint URL
     - Example: `https://your-domain.com/profanity-api/`
     - Note: Must point to your on-premise deployment
4. Save your changes

## Usage
The plugin automatically monitors all messages. When profanity is detected:
- The message is blocked from being posted
- The sender receives a private notification
- Other users don't see the blocked message

## Troubleshooting
- Ensure your API key is valid
- Verify your license is active in the profanityblocker.co.uk dashboard
- Check server logs for any connection/firewall issues
- Verify the Base URL points to the default service endpoint, or your correct on-premise deployment
- Check your server version is compatible with the plugin (tested on 7.8 and up)
- Check your server is running the latest version of the plugin
- Refer to our documentation for more information: [docs.profanityblocker.co.uk](https://docs.profanityblocker.co.uk)

## Support
Report issues at our [support portal](https://support.profanity-blocker.co.uk/servicedesk/customer/portal/1)

## Deployment Notes
The profanity filtering service uses cloud deployment, hosted by us. Refer to our [privacy policy](https://docs.profanityblocker.co.uk/pbsupport/working-version/privacy-policy-110788617.html) for more information.

We offer self-hosted deployment options, which must be deployed in your infrastructure. This ensures:
- Data privacy and security
- Compliance with your organization's policies
- Network isolation if required

Contact us at the [support portal](https://client.profanityblocker.co.uk/support) for more information. Learn more at our website: [profanityblocker.co.uk](https://profanityblocker.co.uk)