# Ensure we're in the build directory
$buildDir = $PSScriptRoot
Set-Location $buildDir

# Clean dist directory
$distDir = Join-Path (Split-Path -Parent $buildDir) "dist"
if (Test-Path -Path $distDir) {
    Remove-Item -Path $distDir -Recurse -Force
}
New-Item -ItemType Directory -Path $distDir

# Build using docker-compose
docker-compose up --build

# List contents of dist directory
Write-Host "`nContents of dist directory:"
Get-ChildItem -Path $distDir 